#!/bin/ksh

BINDIR=bin
if [ ! -d $BINDIR ]; then
  mkdir $BINDIR
fi

VERSION=3.2.1.0
EMAJ_HOME=$ELEKTRON_JAVA_HOME/Java/Ema
JAVAC=$JAVA_HOME/bin/javac

CLASSPATH=$EMAJ_HOME/Libs/ema-$VERSION.jar

function build
{
   printf "Building an MRN (Consumer.java) in Tutorial6 ...\n"
   $JAVAC -d $BINDIR -cp $CLASSPATH src/com/thomsonreuters/ema/tutorials/consumer/tutorial6/Consumer.java; ret=$?

   if [ $ret != 0 ]; then
      printf "\nBuild failed.  Exiting\n"
      exit $ret
   fi
}

build
printf "\nDone.\n"
