#!/bin/ksh

ETAJ_HOME=$ELEKTRON_JAVA_HOME/Eta
EMAJ_HOME=$ELEKTRON_JAVA_HOME/Ema
JAVA=$JAVA_HOME/bin/java

CLASSPATH=./bin:$EMAJ_HOME/Libs/ema.jar:$ETAJ_HOME/Libs/upa.jar:$ETAJ_HOME/Libs/upaValueAdd.jar:$EMAJ_HOME/Libs/apache/org.apache.commons.collections.jar:$EMAJ_HOME/Libs/apache/commons-configuration-1.10.jar:$EMAJ_HOME/Libs/apache/commons-lang-2.6.jar:$EMAJ_HOME/Libs/apache/commons-logging-1.2.jar:$EMAJ_HOME/Libs/SLF4J/slf4j-1.7.12/slf4j-api-1.7.12.jar:$EMAJ_HOME/Libs/SLF4J/slf4j-1.7.12/slf4j-jdk14-1.7.12.jar

function run
{
   printf "Running tutorial $1...\n"
   $JAVA -cp $CLASSPATH com.thomsonreuters.ema.tutorials.consumer.tutorial$1.basicConsumer
}

arg="${1}"
case ${arg} in
   "1")
      run 1
      ;;
   "2")
      run 2
      ;;
   "3")
      run 3
      ;;
   "4")
      run 4
      ;;
   "5")
      run 5
      ;;
   "6")
      run 6
      ;;
   *)
      echo ========================================================================
      echo Which tutorial do you want to run?  Valid tutorials: 1, 2, 3, 4, 5, or 6
      echo "   Eg: sh $0 1"
      echo ========================================================================
      exit 0
      ;;
esac
